PR_SET_MM_START_STACK(2const)

NAME
PR_SET_MM_START_STACK - modify kernel memory map descriptor fields

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <linux/prctl.h>  /* Definition of PR_* constants */
#include <sys/prctl.h>

int prctl(PR_SET_MM, PR_SET_MM_START_STACK, unsigned long addr, 0L, 0L);

DESCRIPTION
Set the start address of the stack. The corresponding memory area must be readable and writable.

RETURN VALUE
On success, 0 is returned. On error, -1 is returned, and errno is set to indicate the error.

ERRORS

EINVAL
    addr is greater than TASK_SIZE (the limit on the size of the user address space for this architecture).

EINVAL
    The permissions of the corresponding memory area are not as required.

STANDARDS
Linux.

HISTORY
Linux 3.3.

SEE ALSO
prctl(2), PR_SET_MM(2const)